添加/编辑本地产品
POST
/erp/sc/routing/storage/product/set支持添加/编辑系统本地产品信息
支持国家:US(美国)、CA(加拿大)、MX(墨西哥)、JP(日本)、UK(英国)、DE(德国)、FR(法国)、ES(西班牙)、IT(意大利)、NL(荷兰)、
AU(澳洲)、SG(新加坡)、IN(印度)、AE(阿联酋)、SA(沙特阿拉伯)、BR(巴西)、SE(瑞典)、PL(波兰)、BE(比利时)、TR(土耳其)、 UA(乌克兰)、HU(匈牙利)、PK(巴基斯坦)、LB(黎巴嫩)、AT(奥地利)、CH(瑞士)、CZ(捷克)、DK(丹麦)、IE(爱尔兰)、LU(卢森堡)、 NO(挪威)、PT(葡萄牙)、SK(斯洛伐克)、RU(俄罗斯)、KZ(哈萨克斯坦)、BY(白俄罗斯)、CL(智利)、KR(韩国)
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/product/set | HTTPS | POST | 10 |
请求参数
skustring必填product_namestring必填sku_identifierstringpicture_listarray<object>隐藏子属性
pic_urlstringis_primaryintegerunit_process_feeintegerunitstringcategory_idintegercategorystringmodelstringbrand_idintegerbrandstringopen_statusintegerstatusintegerdescriptionstringgroup_listarray<object>隐藏子属性
skustringquantityintegercg_opt_uidintegercg_opt_usernamestringproduct_developer_uidintegerproduct_developerstringproduct_creator_uidintegerproduct_duty_uidsarray<any>is_append_product_dutyintegerpurchase_remarkstringcg_pricestringis_relatedintegercg_deliveryintegercg_product_materialstringcg_product_lengthstringcg_product_widthstringcg_product_heightstringcg_product_net_weightstringcg_product_gross_weightstringcg_package_lengthstringcg_package_widthstringcg_package_heightstringcg_box_lengthstringcg_box_widthstringcg_box_heightstringcg_box_weightstringcg_box_pcsintegerbg_customs_export_namestringbg_export_hs_codestringbg_customs_import_namestringcurrencystringbg_customs_import_pricestringqc_standardobject隐藏子属性
custom_qc_templateobject隐藏子属性
qc_imagearray<object>隐藏子属性
file_idstringcustomer_urlstringnew_qc_standardobject隐藏子属性
qc_methodinteger必填pqt_idstringcustom_qc_templateobject必填隐藏子属性
template_itemarray<object>必填隐藏子属性
pqti_idstringqc_itemstring必填sortintegerqc_contentobject必填product_logistics_listobject隐藏子属性
US_cg_transport_costsstringUS_currencystringUS_clearance_pricestringUS_clearance_price_currencystringUS_bg_import_hs_codestringUS_bg_tax_ratestringUS_clearance_remarkstringsupplier_quotearray<object>隐藏子属性
erp_supplier_idinteger必填supplier_idintegersupplier_product_urlarray<any>quote_remarkstringquote_cg_deliveryintegeris_primaryinteger必填quotesarray<object>必填隐藏子属性
currencystring必填is_taxinteger必填tax_ratestring必填step_pricesarray<object>必填隐藏子属性
moqinteger必填price_with_taxstring必填special_attrarray<any>declarationobject隐藏子属性
customs_import_priceintegercustoms_import_price_currencystringcustoms_export_namestringcustoms_import_namestringcustoms_declaration_unitstringcustoms_declaration_specstringcustoms_declaration_origin_producestringcustoms_declaration_inlands_sourcestringcustoms_declaration_hs_codestringother_declare_elementstringcustoms_declaration_exemptstringproduction_and_sales_enterprise_namestringproduction_and_sales_enterprise_codestringclearanceobject隐藏子属性
customs_clearance_materialstringcustoms_clearance_en_materialstringcustoms_clearance_usagestringcustoms_clearance_en_usagestringcustoms_clearance_internal_codestringcustoms_clearance_preferentialintegercustoms_clearance_brand_typeintegercustoms_clearance_product_patternstringallocation_remarkstringweaving_modeintegercustoms_clearance_pic_urlstringaux_relation_listarray<object>隐藏子属性
aux_skustring必填sku_qtyintegeraux_qtyintegerspec_pack_listarray<object>隐藏子属性
spec_titlestring必填cg_box_pcsintegercg_box_lengthstringcg_box_widthstringcg_box_heightstringcg_package_lengthstringcg_package_widthstringcg_package_heightstringcg_box_weightstringcg_product_gross_weightstringapi_spustringapi_spu_attributearray<object>隐藏子属性
pa_idinteger必填pai_idinteger必填custom_fieldsstring隐藏子属性
idstringvalstring必填characterstring请求示例
{
"sku": "SKU2986DFA",
"product_name": "钢化玻璃膜2",
"picture_list": [
{
"pic_url": "https://xxxx.com/123.jpg",
"is_primary": 1
}
],
"unit": "个",
"category_id": 2,
"category": "分类5",
"model": "",
"brand_id": 0,
"brand": "",
"status": 0,
"description": "",
"group_list": [
{
"sku": "CWZS20A-L",
"quantity": 1
}
],
"cg_opt_uid": 0,
"cg_opt_username": "",
"product_developer_uid": 0,
"product_developer": "",
"purchase_remark": "",
"cg_price": "",
"is_related": 0,
"cg_delivery": 0,
"cg_product_material": "",
"cg_product_length": "",
"cg_product_width": "",
"cg_product_height": "",
"cg_product_net_weight": "",
"cg_product_gross_weight": "",
"cg_package_length": "",
"cg_package_width": "",
"cg_package_height": "",
"cg_box_length": "",
"cg_box_width": "",
"cg_box_height": "",
"cg_box_weight": "",
"cg_box_pcs": 0,
"bg_customs_export_name": "",
"bg_export_hs_code": "",
"bg_customs_import_name": "",
"currency": "CNY",
"bg_customs_import_price": "",
"product_creator_uid": 0,
"product_duty_uids": [],
"is_append_product_duty": 0,
"qc_standard": {
"custom_qc_template": {
"qc_image": [
{
"file_id": "",
"customer_url": ""
}
]
}
},
"product_logistics_list": {
"US_cg_transport_costs": 0,
"US_currency": "",
"US_clearance_price": 0,
"US_clearance_price_currency": "",
"US_bg_import_hs_code": "",
"US_bg_tax_rate": 0,
"US_clearance_remark": ""
},
"supplier_quote": [
{
"erp_supplier_id": 1,
"supplier_id": 0,
"supplier_product_url": [],
"quote_remark": "",
"is_primary": 1,
"quotes": [
{
"currency": "CNY",
"is_tax": 0,
"tax_rate": 0,
"step_prices": [
{
"moq": 0,
"price_with_tax": 10
}
]
}
]
}
],
"special_attr": [
1,
2,
3
],
"declaration": {
"customs_declaration_unit": "",
"customs_declaration_spec": "",
"customs_declaration_origin_produce": "",
"customs_declaration_inlands_source": "",
"customs_declaration_exempt": ""
},
"clearance": {
"customs_clearance_material": "",
"customs_clearance_usage": "",
"customs_clearance_internal_code": "",
"customs_clearance_preferential": 0,
"customs_clearance_brand_type": 0,
"customs_clearance_product_pattern": "",
"allocation_remark": "",
"weaving_mode": 0,
"customs_clearance_pic_url": ""
},
"aux_relation_list": [
{
"aux_sku": "AUX-GLUE-01",
"sku_qty": 1,
"aux_qty": 2
}
],
"spec_pack_list": [
{
"spec_title": "小箱包装",
"cg_box_pcs": 50,
"cg_box_length": "25.0",
"cg_box_width": "15.0",
"cg_box_height": "10.0",
"cg_package_length": "12.0",
"cg_package_width": "6.0",
"cg_package_height": "1.0",
"cg_box_weight": "6.0",
"cg_product_gross_weight": "25.0"
}
],
"api_spu": "SPU001",
"api_spu_attribute": [
{
"pa_id": 1,
"pai_id": 101
}
],
"custom_fields": [
{
"id": "207663076879646721",
"val": "测试ceshi",
"character": ""
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
product_idinteger必填skustring必填sku_identifierstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "CCF38623-DE1A-004F-0961-90A6AF265013",
"response_time": "2021-11-11 11:14:33",
"data": {
"product_id": 1010,
"sku": "SKU2986DFA1",
"sku_identifier": "SKU2986DFA1"
},
"total": 0
}
返回失败示例
{
"code": 500,
"message": "内部错误",
"error_details": "is_primary不能为空 [请求码:4B70FE]",
"request_id": "D00AB182-BC9B-4859-854E-BEFCE2C1411C",
"response_time": "2021-11-11 11:01:13",
"data": [],
"total": 0
}